Get Comment Annotations Count
curl --request POST \
--url https://api.velt.dev/v1/commentannotations/count/get \
--header 'Content-Type: application/json' \
--header 'x-velt-api-key: <x-velt-api-key>' \
--header 'x-velt-auth-token: <x-velt-auth-token>' \
--data '
{
"data": {
"organizationId": "<string>",
"documentIds": [
"<string>"
],
"userId": "<string>",
"statusIds": [
"<string>"
]
}
}
'import requests
url = "https://api.velt.dev/v1/commentannotations/count/get"
payload = { "data": {
"organizationId": "<string>",
"documentIds": ["<string>"],
"userId": "<string>",
"statusIds": ["<string>"]
} }
headers = {
"x-velt-api-key": "<x-velt-api-key>",
"x-velt-auth-token": "<x-velt-auth-token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-velt-api-key': '<x-velt-api-key>',
'x-velt-auth-token': '<x-velt-auth-token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
organizationId: '<string>',
documentIds: ['<string>'],
userId: '<string>',
statusIds: ['<string>']
}
})
};
fetch('https://api.velt.dev/v1/commentannotations/count/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"status": "success",
"message": "Comment count retrieved successfully.",
"data": {
"DOC_1": {
"total": 4,
"unread": 2
},
"DOC_2": {
"total": 2,
"unread": 0
}
}
}
}
Comments Annotations
Get comment annotations count (v1)
Retrieve total and unread comment annotation counts for up to 30 documents using the v1 REST API. Filter by user ID and status IDs.
POST
/
v1
/
commentannotations
/
count
/
get
Get Comment Annotations Count
Use this API to retrieve the count of comment annotations for specified documents, including both total and unread counts.
Prior to using this API, you must:
- Enable advanced queries option in the console
- Deploy v4 series of the Velt SDK.
Endpoint
POST https://api.velt.dev/v1/commentannotations/count/get
Headers
string
required
Your API key.
string
required
Your Auth Token.
Body
Params
object
required
Example Request
{
"data": {
"organizationId": "ORG_ID",
"documentIds": ["DOC_1", "DOC_2"],
"userId": "1.1",
"statusIds": ["OPEN", "IN_PROGRESS"]
}
}
Response
Success Response
{
"result": {
"status": "success",
"message": "Comment count retrieved successfully.",
"data": {
"DOC_1": {
"total": 4,
"unread": 2
},
"DOC_2": {
"total": 2,
"unread": 0
}
}
}
}
Failure Response
{
"error": {
"message": "ERROR_MESSAGE",
"status": "INVALID_ARGUMENT"
}
}
{
"result": {
"status": "success",
"message": "Comment count retrieved successfully.",
"data": {
"DOC_1": {
"total": 4,
"unread": 2
},
"DOC_2": {
"total": 2,
"unread": 0
}
}
}
}
Was this page helpful?
⌘I

